# Follow Request Page (2.2)

In this page, user can see all the follow request he has received. He can either accept or decline the request as well.

![If user can accept or decline successfully, system shows popup and removes the request.](/files/-Md0E6UDKdynw2aUJ873)

![If the request is not available or has server connection issues, a system error will show ](/files/-Md0H-7gex2viUifGkn6)

{% hint style="info" %}
The user sorting will be based on what the server provides.
{% endhint %}

{% hint style="info" %}
The follow request will not automatically update. User needs to accept or decline first and if the follow request is not available, system will remove the request from list and prompt that the request is unavailable.
{% endhint %}

| Feature                | Description                                                                                                                                        |
| ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| Accept Follow request  | If user accepts the follow request , system will create a relationship with the request sender and the request item will be removed from the list. |
| Decline Follow request | If user declines the follow request, system will invalidate the follow request                                                                     |

You can use the component with this code:

```swift
let requestsViewController = AmityFollowRequestsViewController.make(withUserId: "userId")
navigationController?.pushViewController(requestsViewController, animated: true)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.social.plus/social-plus-uikit/uikit-3/ios/community/components/follow-request-page.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
